.TH  KEYCZART 1 "2014-03-10" "keyczart" KEYCZART
.SH NAME
keyczart \- asymmetric key management tool
.SH SYNOPSIS
.B keyczart
<command> <flags>
.br
.SH DESCRIPTION
This manual page documents briefly the
.B keyczart
command, a tool which can be used to create and manage asymmetric keys.
Currently, the supported key types are RSA and DSA.
.SH GENERAL OPTIONS
\fBkeyczart\fP supports the following commands and options:
.PP
\fBcreate\fP \-\-location=\fIKEYPATH\fP \-\-purpose=\fIPURPOSE\fP [
\-\-name=\fINAME\fP \-\-asymmetric=\fITYPE\fP ]
.IP
Creates a new, empty key set in the given location and the given purpose, which
must be one of either "crypt" or "sign". The key set may optionally be given a
name, and the key type can be chosen as well, in which case must be one of
either "rsa" or "dsa". The "dsa" asymmetric value is valid only for sets
with "sign" purpose.
.PP
\fBaddkeys\fP \-\-location=\fIKEYPATH\fP [ \-\-status=\fISTATUS\fP 
\-\-size=\fISIZE\fP \-\-crypter=\fILOCATION\fP ]
.IP
Adds a new key to an existing key set. One can optionally specify a status,
which can be one of either of "active" or "primary", with "active" being the
default. The key size in bits can also be specified, as can the location of a
set of crypting keys which will be used to encrypt this key set.
.PP
\fBpubkey\fP \-\-location=\fIKEYPATH\fP \-\-destination=\fIDEST\fP
.IP
Extracts public keys from a given key set and writes them to the destination.
The \fBpubkey\fP command Only works for key sets that were created with
the \fB--asymmetric\fP flag.
.PP
\fBpromote\fP \-\-location=\fIKEYPATH\fP \-\-version=\fINUMBER\fP
.IP
Promotes the status of the given key version in the given location. Active keys
are promoted to primary (which demotes any existing primary key to active). Keys
scheduled for revocation are promoted to be active.
.PP
\fBdemote\fP \-\-location=\fIKEYPATH\fP \-\-version=\fINUMBER\fP
.IP
Demotes the status of the given key version in the given location. Primary keys
are demoted to active. Active keys are scheduled for revocation.
.PP
\fBrevoke\fP \-\-location=\fIKEYPATH\fP \-\-version=\fINUMBER\fP
.IP
Revokes the key of the given version number. This key must have been scheduled
for revocation by the promote command. \fBWARNING\fP: The key will be destroyed.
.SH AUTHOR
\fBkeyczart\fP was written by members of the Google Security Team.
.PP
This manual page was written by Christian Kastner <ckk@debian.org>
for the Debian project (and may be used by others).
